%global pkg_name regex-base

%global common_summary Haskell regex base library

%global common_description Interface API for regex-{posix,pcre,parsec,tdfa,dfa}.

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.2.0.1
Version:        0.93.2
Release:        7%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# ghc_excluded_archs is defined in redhat-rpm-config
ExcludeArch:    %{ghc_excluded_archs}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-mtl-prof, ghc-bytestring-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 0.93.2-7
- BR ghc-Cabal-devel and use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 0.93.2-6
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.93.2-5
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Jens Petersen <petersen@redhat.com> - 0.93.2-3
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.93.2-2
- update url and drop -o obsoletes
- add hscolour

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 0.93.2-1
- update to 0.93.2 for haskell-platform-2010.2.0.0
- obsolete doc subpackage (ghc-rpm-macros-0.8.0)

* Fri Jun 25 2010 Jens Petersen <petersen@redhat.com> - 0.93.1-4
- strip shared library (cabal2spec-0.21.4)

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 0.93.1-3
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Fri Jan 15 2010 Jens Petersen <petersen@redhat.com> - 0.93.1-2
- license is BSD
- depends on mtl

* Fri Jan 15 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.93.1-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
